<div class="new-offers-list">
  <p class="new-offers-list__title">
    {{
      "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.NEW_OFFERS_TITLE"
        | translate
    }}
  </p>
  <layout-card-container
    [designClass]="CARD_CONTAINER_DESIGN_CLASS.ALTERNATIVE"
  >
    <div
      class="new-offers-list__container"
      *ngIf="!(isLoadingOffers$ | async); else loading"
    >
      <div class="header-container">
        <div></div>
        <p class="header-container__title">
          {{
            "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.OFFER_CARD.OFFER"
              | translate
          }}
        </p>
        <p class="header-container__title">
          {{
            "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.OFFER_CARD.COMMISSIONS"
              | translate
          }}
        </p>
        <p class="header-container__title">
          {{
            "MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.OFFER_CARD.TAXES"
              | translate
          }}
        </p>
      </div>
      <form
        [formGroup]="form"
        *ngIf="
          offerEditProductOfferListItem$
            | async as offerEditProductOfferListItem
        "
      >
        <ng-container
          *ngIf="offerEditProductOfferListItem?.length > 0; else empty"
        >
          <div
            formArrayName="offers"
            *ngFor="let item of offerEditProductOfferListItem; index as i"
          >
            <div [formGroupName]="i">
              <layout-product-offer-list-item
                formControlName="value"
                [id]="i"
                [productOfferListItem]="item"
                [tax]="(project$ | async)?.default_tax_value"
                [showIsNewTag]="true"
                [canEdit]="true"
                [hasCheck]="true"
                [isChecked]="!!offers.at(i).value?.value"
                [listDetails]="true"
                [showDetails]="true"
                [amountLabel]="
                  'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.OFFER_CARD.ITEM.AMOUNT'
                    | translate
                "
                [numberOfInstallmentsLabel]="
                  'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.OFFER_CARD.ITEM.NUMBER_OF_INSTALLMENTS'
                    | translate
                "
              >
              </layout-product-offer-list-item>
            </div>
          </div>
        </ng-container>
      </form>
    </div>
  </layout-card-container>

  <div class="new-offers-list__buttons">
    <div></div>
    <mo-button
      *ngIf="merchantGroupProfileId$ | async as id"
      [text]="'MERCHANT_MANAGER.NEW_GROUP.OFFERS.BTN_CANCEL' | translate"
      [designClass]="BUTTON_DESIGN_CLASS.OUTLINE_PRIMARY"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [isDisabled]="isLoadingUpdateOffers$ | async"
      [routerLink]="merchantGroupProfileUrl"
      [queryParams]="{ id }"
    >
    </mo-button>
    <mo-button
      [text]="
        'MERCHANT_MANAGER.MERCHANT_GROUP_PROFILE.ADD_OR_REMOVE_OFFERS.BTN_CONFIRM'
          | translate
      "
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY_WHITE"
      [displayBlock]="true"
      [isDisabled]="isLoadingUpdateOffers$ | async"
      [isLoading]="isLoadingUpdateOffers$ | async"
      [size]="SIZES.MD"
      (click)="onConfirm()"
      [isDisabled]="form.invalid"
    >
    </mo-button>
  </div>
</div>

<ng-template #loading>
  <div class="loader-container">
    <layout-skeleton
      *ngFor="let skeleton of skeletons"
      [skeleton]="skeleton"
    ></layout-skeleton>
  </div>
</ng-template>

<ng-template #empty>
  <add-or-remove-offers-empty-list></add-or-remove-offers-empty-list>
</ng-template>

<layout-modal>
  <merchant-group-profile-remove-offer-modal></merchant-group-profile-remove-offer-modal>
</layout-modal>
